net.sf.jasperreports.engine.export.tabulator

## Class Table

- java.lang.Object
- - net.sf.jasperreports.engine.export.tabulator.Table

-     public class Table
      extends java.lang.Object

  Version:
    $Id: Table.java 5933 2013-03-01 12:55:58Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `Table.ColumnsControl`
    `protected class` | `Table.RowsControl`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DimensionEntries<Column>` | `columns`
    `protected DimensionEntries<Row>` | `rows`
    `protected Tabulator` | `tabulator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Table(Tabulator tabulator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DimensionEntries<Column>` | `getColumns()`
    `DimensionEntries<Row>` | `getRows()`
    `void` | `removeColumn(Column column, Column prevColumn)`
    `void` | `removeRow(Row row, Row prevRow)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tabulator

          protected final Tabulator tabulator

    - #### columns

          protected DimensionEntries<Column> columns

    - #### rows

          protected DimensionEntries<Row> rows

  - ### Constructor Detail

    - #### Table

          public Table(Tabulator tabulator)

  - ### Method Detail

    - #### removeColumn

          public void removeColumn(Column column,
                          Column prevColumn)

    - #### removeRow

          public void removeRow(Row row,
                       Row prevRow)

    - #### getColumns

          public DimensionEntries<Column> getColumns()

    - #### getRows

          public DimensionEntries<Row> getRows()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com